<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy odbieranie.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('odbieranie_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">odbieranie.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="odbieranie_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &lt;sys/types.h&gt;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#include &lt;sys/stat.h&gt;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &lt;fcntl.h&gt;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;unistd.h&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;time.h&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#include &lt;cctype&gt;</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="preprocessor">#include &lt;cstdlib&gt;</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">#include &lt;cstdio&gt;</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="preprocessor">#include &lt;cstring&gt;</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="preprocessor">#include &lt;errno.h&gt;</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &quot;<a class="code" href="transparam_8hh.html">transparam.hh</a>&quot;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="odbieranie_8cpp.html#ac4f92db10fea9b5bd0337dcfa87f1850">   14</a></span><span class="preprocessor">#define ROZMIAR_LINII   100</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="keyword">using namespace </span>std;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="odbieranie_8cpp.html#acb92bf56d0e1ea8c61397989de2972c5">   25</a></span><span class="keywordtype">bool</span> <a class="code hl_function" href="odbieranie_8cpp.html#acb92bf56d0e1ea8c61397989de2972c5">Czas_JestPozniejNiz</a>(<span class="keyword">const</span> <span class="keyword">struct</span> timespec&amp; CzasX)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>{</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>  <span class="keyword">struct </span>timespec  Czas_Aktualny;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>  clock_gettime(CLOCK_REALTIME,&amp;Czas_Aktualny);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>  <span class="keywordflow">return</span> Czas_Aktualny.tv_sec &gt; CzasX.tv_sec ||</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        (Czas_Aktualny.tv_sec == CzasX.tv_sec &amp;&amp;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>         Czas_Aktualny.tv_nsec &gt; CzasX.tv_nsec) ;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>}</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="odbieranie_8cpp.html#a6befdeb19cdb98ce397b800b2bf28ce1">   39</a></span><span class="keywordtype">int</span> <a class="code hl_function" href="odbieranie_8cpp.html#a6befdeb19cdb98ce397b800b2bf28ce1">RS232_Odbierz</a>( <span class="keywordtype">int</span>            DeskPortu, </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                   <span class="keywordtype">char</span>          &amp;BuforZnaku, </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>   CzasOczekiwania_ms = 2000</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                 )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>{</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>  <span class="keyword">struct </span>timespec  Czas_Koniec;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>  </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>  clock_gettime(CLOCK_REALTIME,&amp;Czas_Koniec);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>  Czas_Koniec.tv_sec += CzasOczekiwania_ms/1000;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>  Czas_Koniec.tv_nsec += <span class="keyword">static_cast&lt;</span><span class="keywordtype">long</span> <span class="keywordtype">int</span><span class="keyword">&gt;</span>((CzasOczekiwania_ms % 1000)*1000000);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>  <span class="keywordtype">int</span>   Ilosc_Odb;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>  <span class="keywordflow">while</span> ((Ilosc_Odb = read(DeskPortu,&amp;BuforZnaku,1)),</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>     Ilosc_Odb == 0 || (Ilosc_Odb &lt; 0 &amp;&amp; errno == EAGAIN)) {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>      <span class="keywordflow">if</span> (<a class="code hl_function" href="odbieranie_8cpp.html#acb92bf56d0e1ea8c61397989de2972c5">Czas_JestPozniejNiz</a>(Czas_Koniec)) <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>      usleep(10);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>  };  </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>  <span class="keywordflow">return</span> Ilosc_Odb &gt; 0 ? 1 : -1;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>}</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="odbieranie_8cpp.html#aebff1e4ab04b6e0d4e0cb0b2cb34d8c8">   67</a></span><span class="keywordtype">bool</span> <a class="code hl_function" href="odbieranie_8cpp.html#a6befdeb19cdb98ce397b800b2bf28ce1">RS232_Odbierz</a>( <span class="keywordtype">int</span>            DeskPortu, </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                    <span class="keywordtype">string</span>        &amp;Bufor, </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>   IloscZnakow,</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>   CzasOczekiwania_ms</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>                  )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>{</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>  Bufor.clear();</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>  Bufor.reserve(IloscZnakow);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>  <span class="keyword">struct </span>timespec  Czas_Koniec;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>  </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>  clock_gettime(CLOCK_REALTIME,&amp;Czas_Koniec);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>  Czas_Koniec.tv_sec += CzasOczekiwania_ms/1000;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>  Czas_Koniec.tv_nsec += <span class="keyword">static_cast&lt;</span><span class="keywordtype">long</span> <span class="keywordtype">int</span><span class="keyword">&gt;</span>((CzasOczekiwania_ms % 1000)*1000000);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>  <span class="keywordtype">char</span> Odebrany_Znak;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>  <span class="keywordflow">do</span> {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    <span class="keywordflow">if</span> (<a class="code hl_function" href="odbieranie_8cpp.html#a6befdeb19cdb98ce397b800b2bf28ce1">RS232_Odbierz</a>(DeskPortu,Odebrany_Znak,50) &lt;= 0) <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    <span class="keywordflow">if</span> (<a class="code hl_function" href="odbieranie_8cpp.html#acb92bf56d0e1ea8c61397989de2972c5">Czas_JestPozniejNiz</a>(Czas_Koniec)) <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <span class="keywordflow">if</span> (Odebrany_Znak == <span class="charliteral">&#39;\n&#39;</span>) <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    Bufor += Odebrany_Znak;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    --IloscZnakow;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>  } <span class="keywordflow">while</span> (IloscZnakow &gt; 0);  </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>  <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>}</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span> </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="odbieranie_8cpp.html#a8ba1cb8263e0f85250d2dbd1fb60e825">  100</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="odbieranie_8cpp.html#a8ba1cb8263e0f85250d2dbd1fb60e825">TestOdbioru</a>( )</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>{</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>  <span class="keywordtype">int</span>    DeskPortu;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>  </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>  <span class="keywordflow">if</span> ((DeskPortu = open(<span class="stringliteral">&quot;/dev/ttyUSB1&quot;</span>,O_RDWR | O_NONBLOCK)) &lt; 0) {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    cerr &lt;&lt; <span class="stringliteral">&quot;:( Blad otwarcia portu USB1&quot;</span> &lt;&lt; endl;  </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    exit(1);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>  }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>  <a class="code hl_function" href="transparam_8hh.html#adae5ef433c18e71af7b1a18cd4c107e6">SetTransParam</a>(DeskPortu);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>  <span class="keywordtype">char</span> Znak;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>  <span class="keywordtype">int</span>  Rezultat = 0;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>  <span class="keywordflow">while</span> ((Rezultat = <a class="code hl_function" href="odbieranie_8cpp.html#a6befdeb19cdb98ce397b800b2bf28ce1">RS232_Odbierz</a>(DeskPortu,Znak)) &gt;= 0) {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    <span class="keywordflow">if</span> (Rezultat &gt; 0) {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>      cout &lt;&lt; Znak &lt;&lt; flush;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>      <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    cout &lt;&lt; endl &lt;&lt; endl</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>     &lt;&lt; <span class="stringliteral">&quot;:( Przekroczony czas oczekiwania&quot;</span> &lt;&lt; endl</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>     &lt;&lt; endl;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>  }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>  cout &lt;&lt; <span class="stringliteral">&quot;Koniec&quot;</span> &lt;&lt; endl;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>}</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="ttc" id="aodbieranie_8cpp_html_a6befdeb19cdb98ce397b800b2bf28ce1"><div class="ttname"><a href="odbieranie_8cpp.html#a6befdeb19cdb98ce397b800b2bf28ce1">RS232_Odbierz</a></div><div class="ttdeci">int RS232_Odbierz(int DeskPortu, char &amp;BuforZnaku, unsigned int CzasOczekiwania_ms=2000)</div><div class="ttdef"><b>Definition</b> <a href="odbieranie_8cpp_source.html#l00039">odbieranie.cpp:39</a></div></div>
<div class="ttc" id="aodbieranie_8cpp_html_a8ba1cb8263e0f85250d2dbd1fb60e825"><div class="ttname"><a href="odbieranie_8cpp.html#a8ba1cb8263e0f85250d2dbd1fb60e825">TestOdbioru</a></div><div class="ttdeci">void TestOdbioru()</div><div class="ttdef"><b>Definition</b> <a href="odbieranie_8cpp_source.html#l00100">odbieranie.cpp:100</a></div></div>
<div class="ttc" id="aodbieranie_8cpp_html_acb92bf56d0e1ea8c61397989de2972c5"><div class="ttname"><a href="odbieranie_8cpp.html#acb92bf56d0e1ea8c61397989de2972c5">Czas_JestPozniejNiz</a></div><div class="ttdeci">bool Czas_JestPozniejNiz(const struct timespec &amp;CzasX)</div><div class="ttdef"><b>Definition</b> <a href="odbieranie_8cpp_source.html#l00025">odbieranie.cpp:25</a></div></div>
<div class="ttc" id="atransparam_8hh_html"><div class="ttname"><a href="transparam_8hh.html">transparam.hh</a></div></div>
<div class="ttc" id="atransparam_8hh_html_adae5ef433c18e71af7b1a18cd4c107e6"><div class="ttname"><a href="transparam_8hh.html#adae5ef433c18e71af7b1a18cd4c107e6">SetTransParam</a></div><div class="ttdeci">bool SetTransParam(int PortDesc, Type4BaudRate BRate=B_115200, Type4Parity Parity=P_None, Type4CharacterSize CSize=CS_8)</div><div class="ttdoc">Ustawianie parametrów transmisji.</div><div class="ttdef"><b>Definition</b> <a href="transparam_8cpp_source.html#l00133">transparam.cpp:133</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="odbieranie_8cpp.html">odbieranie.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
